View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000772Ecere SDKcompilerpublic2012-10-30 14:572014-05-19 01:32
Reporterredj 
Assigned Tojerome 
PriorityimmediateSeveritymajorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version0.44 Ryoan-ji 
Target Version0.44.10 64Fixed in Version0.44.10 64 
Summary0000772: code still compiles with flagrant syntax errors
Description( ) mismatches
and eC compiler not saying a word
TagsNo tags attached.
Attached Files

- Relationships
related to 0000402closedjerome I need to know when I forget a COMMA!!!! 

-  Notes
(0000651)
redj (administrator)
2012-10-30 14:58
edited on: 2014-05-04 02:32

Apparently this was caused by:
Degrees i;
sin( i+5 )
vs
sin(i + Degrees { 5 })
but sin expects a Degrees
and + and minus operators are supposed to associate to the other operand
which is also a degree...

(0000653)
jerome (administrator)
2012-10-30 18:55

No it was not :P
That was the pretty picture I emailed you which was :)
I filed that issue separately :)
(0000654)
jerome (administrator)
2012-10-30 18:55

but it was around that code :P
(0000655)
redj (administrator)
2012-10-30 18:59

shall we delete these few notes then as to not confuse the issue?
(0001274)
jerome (administrator)
2014-05-04 12:57

Fixed by:
https://github.com/ecere/ecere-sdk/commit/e34ffdb13ccb09e00aa5c85a82d77676b585b1eb [^]

- Issue History
Date Modified Username Field Change
2012-10-30 14:57 redj New Issue
2012-10-30 14:57 redj Status new => assigned
2012-10-30 14:57 redj Assigned To => jerome
2012-10-30 14:58 redj Relationship added related to 0000402
2012-10-30 14:58 redj Note Added: 0000651
2012-10-30 18:55 jerome Note Added: 0000653
2012-10-30 18:55 jerome Note Added: 0000654
2012-10-30 18:59 redj Note Added: 0000655
2013-04-24 20:21 jerome Assigned To jerome =>
2013-04-27 06:08 redj Status assigned => new
2013-09-10 19:10 jerome Target Version 0.44.12 Fixes => 0.46 eC II
2014-05-04 02:32 jerome Note Edited: 0000651
2014-05-04 04:38 jerome Assigned To => jerome
2014-05-04 04:38 jerome Status new => assigned
2014-05-04 04:38 jerome Target Version 0.46 eC II => 0.44.10 64
2014-05-04 12:57 jerome Status assigned => resolved
2014-05-04 12:57 jerome Fixed in Version => 0.44.10 64
2014-05-04 12:57 jerome Resolution open => fixed
2014-05-04 12:57 jerome Note Added: 0001274
2014-05-19 01:32 jerome Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker